org.apache.maven.scm.provider.synergy.consumer

## Class SynergyWorkareaConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.synergy.consumer.SynergyWorkareaConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SynergyWorkareaConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Parse output of

     ccm wa -show -p <project_spec>

Version:
  $Id: SynergyWorkareaConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
Author:
  Julien Henry

### Constructor Summary

Constructors
Constructor and Description
`SynergyWorkareaConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)` We are expecting the following output:
`File` `getWorkAreaPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyWorkareaConsumer

    public SynergyWorkareaConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

We are expecting the following output:

                Project Maintain Copies Relative Time Translate Modify Path
                -------------------------------------------------------------------
                BGZBFZH˜1 TRUE TRUE FALSE FALSE TRUE FALSE 'D:\cmsynergy\ccm_wa\LAPOSTE\BGZBFZH˜1'

And we want to extract:

                D:\cmsynergy\ccm_wa\LAPOSTE\BGZBFZH˜1
                <pre>

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getWorkAreaPath

    public File getWorkAreaPath()